%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:			rnnoise
Version:		0.2
Release:		%mkrel 2
Summary:		Recurrent neural network for audio noise reduction
Group:			Sound/Utilities
# https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/HB2GPMVKMTNP5WDGIRNU5NZUO4JWQPII/
License:		BSD
URL:			https://gitlab.xiph.org/xiph/rnnoise
Source0:		https://github.com/xiph/rnnoise/releases/download/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/xiph/rnnoise/issues/222
Patch1:			372f7b4.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make

%description
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{libname}
Summary:		Library files for %{name}
Group:			Sound/Utilities

%description -n %{libname}
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{devname}
Summary:		Devel files for %{name}
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%package doc
Summary:		Documentation
Group:			Documentation
BuildArch:		noarch

%description doc
Documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static

%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS README
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{.,*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files    doc
%doc %{_docdir}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.2-2.mga10
+ Revision: 2223982
- Mageia 10 Mass Rebuild

* Wed May 29 2024 daviddavid <daviddavid> 0.2-1.mga10
+ Revision: 2068658
- new version: 0.2

* Fri Mar 18 2022 pterjan <pterjan> 0-1.20210312git7f449bf.mga9
+ Revision: 1798200
- Mageia 9 Mass Rebuild

* Tue Jul 27 2021 barjac <barjac> 0-0.20210312git7f449bf.mga9
+ Revision: 1737989
- Clean spec, libify etc initial pkg for Mageia
- in preparation for easyeffects under pipewire
- Import from Fedora


* Sat Mar 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.3.20210312git7f449bf
- build(update): 20210312git7f449bf

* Sun Jan 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-0.2.20210122git1cbdbcf
- Initial package
